Package org.pushingpixels.trident

# Class TimelineScenario.Parallel

java.lang.Object
org.pushingpixels.trident.TimelineScenario
org.pushingpixels.trident.TimelineScenario.Parallel

Enclosing class:
  `TimelineScenario`

public static class TimelineScenario.Parallel extends TimelineScenario

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.trident.TimelineScenario

`TimelineScenario.Parallel, TimelineScenario.RendezvousSequence, TimelineScenario.Sequence, TimelineScenario.TimelineScenarioActor, TimelineScenario.TimelineScenarioState`

## Constructor Summary

Constructors
Constructor
Description
`Parallel()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)`

### Methods inherited from class org.pushingpixels.trident.TimelineScenario

`addCallback, addScenarioActor, cancel, getState, play, playLoop, resume, suspend`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parallel

public Parallel()

## Method Details

### addDependency

public void addDependency(TimelineScenario.TimelineScenarioActor actor, TimelineScenario.TimelineScenarioActor... waitFor)

Overrides:
  `addDependency` in class `TimelineScenario`